﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
    <title>Excel</title>
</head>
<body>
<div class="container text-center">
    <h1>Создание Excel</h1>
    <hr />
    <form id="form-1" style="width: 50%; margin: 0 auto">
        <div class="form-group" style="margin-top: 10px">
            <label for="inputNumber">Введите ИНН</label>
            <input type="number" class="form-control" id="inputNumber" aria-describedby="numberHelp" placeholder="Введите ИНН">
            <label id="validation-form-1" style="color: red"></label>
        </div>
        <button type="submit" class="btn btn-primary">Сохранить в Excel</button>
    </form>
    <div style="margin: 50px">
        <h2 id="result-1"></h2>
    </div>
</div>
<script>
    function SendForm(number) {
        $.ajax({
            url: '/api/save/' + number,
            type: 'GET',
            contentType: "application/json",
            success: function (response) {
                $('#result-1').text(response.result);
            },
            error: function (error) {
                $('#result-1').text(error.responseText);
            }
        });
    }
    $("#form-1").submit(function (e) {
        e.preventDefault();
        var number = this.elements["inputNumber"].value;

        if (number.length > 0) {
            if (number >= 0) {
                $('#validation-form-1').text("");
                SendForm(number);

            }
            else {
                $('#validation-form-1').text("ИНН не может быть отрицательным");
            }

        }
        else {
            $('#validation-form-1').text("Введите ИНН");
        }
    });

</script>
</body>
</html>
@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}